DynValueCommonOperations (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynValueCommonOperations interface
Date: 2026-03-16

org.omg.DynamicAny

## Interface DynValueCommonOperations

- All Superinterfaces:
    DynAnyOperations
  All Known Subinterfaces:
    DynValue, DynValueBox, DynValueBoxOperations, DynValueCommon, DynValueOperations
  All Known Implementing Classes:
    _DynValueStub

      public interface DynValueCommonOperations
      extends DynAnyOperations

  DynValueCommon provides operations supported by both the DynValue and DynValueBox interfaces.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `is_null()` Returns true if the DynValueCommon represents a null value type.
    `void` | `set_to_null()` Changes the representation of a DynValueCommon to a null value type.
    `void` | `set_to_value()` Replaces a null value type with a newly constructed value.

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

      `assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

- - ### Method Detail

    - #### is_null

          boolean is_null()

      Returns true if the DynValueCommon represents a null value type.

    - #### set_to_null

          void set_to_null()

      Changes the representation of a DynValueCommon to a null value type.

    - #### set_to_value

          void set_to_value()

      Replaces a null value type with a newly constructed value. Its components are initialized to default values as in DynAnyFactory.create_dyn_any_from_type_code. If the DynValueCommon represents a non-null value type, then this operation has no effect.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.